com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram

## Interface FlowdiagramPackage.Literals

- Enclosing interface:
    FlowdiagramPackage

      public static interface FlowdiagramPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `ACTIVITY_SHAPE` The meta object literal for the '`Activity Shape`' class
    `static org.eclipse.emf.ecore.EReference` | `ACTIVITY_SHAPE__ACTIVITY_NODE` The meta object literal for the 'Activity Node' reference feature
    `static org.eclipse.emf.ecore.EClass` | `DECISION_EDGE` The meta object literal for the '`Decision Edge`' class
    `static org.eclipse.emf.ecore.EReference` | `DECISION_EDGE__DECISION` The meta object literal for the 'Decision' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `DECISION_EDGE__VALID` The meta object literal for the 'Valid' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `DECISION_SHAPE` The meta object literal for the '`Decision Shape`' class
    `static org.eclipse.emf.ecore.EReference` | `DECISION_SHAPE__DECISION_NODE` The meta object literal for the 'Decision Node' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `DECISION_SHAPE__VALID` The meta object literal for the 'Valid' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `FLOW_DIAGRAM` The meta object literal for the '`Flow Diagram`' class
    `static org.eclipse.emf.ecore.EReference` | `FLOW_DIAGRAM__FLOW_EDGE_LIST` The meta object literal for the 'Flow Edge List' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `FLOW_DIAGRAM__FLOW_SHAPE_LIST` The meta object literal for the 'Flow Shape List' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `FLOW_DIAGRAM__SELECTION` The meta object literal for the 'Selection' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `FLOW_EDGE` The meta object literal for the '`Flow Edge`' class
    `static org.eclipse.emf.ecore.EReference` | `FLOW_EDGE__SOURCE_SHAPE` The meta object literal for the 'Source Shape' reference feature
    `static org.eclipse.emf.ecore.EReference` | `FLOW_EDGE__TARGET_SHAPE` The meta object literal for the 'Target Shape' reference feature
    `static org.eclipse.emf.ecore.EClass` | `FLOW_SHAPE` The meta object literal for the '`Flow Shape`' class
    `static org.eclipse.emf.ecore.EAttribute` | `FLOW_SHAPE__HEIGHT` The meta object literal for the 'Height' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `FLOW_SHAPE__INBOUND_EDGES` The meta object literal for the 'Inbound Edges' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `FLOW_SHAPE__OUTBOUND_EDGES` The meta object literal for the 'Outbound Edges' reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `FLOW_SHAPE__WIDTH` The meta object literal for the 'Width' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `FLOW_SHAPE__X` The meta object literal for the 'X' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `FLOW_SHAPE__Y` The meta object literal for the 'Y' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `INITIATE_SHAPE` The meta object literal for the '`Initiate Shape`' class
    `static org.eclipse.emf.ecore.EClass` | `LOOPBACK_EDGE` The meta object literal for the '`Loopback Edge`' class
    `static org.eclipse.emf.ecore.EClass` | `TERMINATE_SHAPE` The meta object literal for the '`Terminate Shape`' class
    `static org.eclipse.emf.ecore.EReference` | `TERMINATE_SHAPE__TERMINATE_NODE` The meta object literal for the 'Terminate Node' reference feature

- - ### Field Detail

    - #### FLOW_DIAGRAM

          static final org.eclipse.emf.ecore.EClass FLOW_DIAGRAM

      The meta object literal for the '`Flow Diagram`' class.
      See Also:
        `FlowDiagramImpl`, `FlowdiagramPackageImpl.getFlowDiagram()`

    - #### FLOW_DIAGRAM__SELECTION

          static final org.eclipse.emf.ecore.EAttribute FLOW_DIAGRAM__SELECTION

      The meta object literal for the 'Selection' attribute feature.

    - #### FLOW_DIAGRAM__FLOW_SHAPE_LIST

          static final org.eclipse.emf.ecore.EReference FLOW_DIAGRAM__FLOW_SHAPE_LIST

      The meta object literal for the 'Flow Shape List' containment reference list feature.

    - #### FLOW_DIAGRAM__FLOW_EDGE_LIST

          static final org.eclipse.emf.ecore.EReference FLOW_DIAGRAM__FLOW_EDGE_LIST

      The meta object literal for the 'Flow Edge List' containment reference list feature.

    - #### FLOW_SHAPE

          static final org.eclipse.emf.ecore.EClass FLOW_SHAPE

      The meta object literal for the '`Flow Shape`' class.
      See Also:
        `FlowShapeImpl`, `FlowdiagramPackageImpl.getFlowShape()`

    - #### FLOW_SHAPE__X

          static final org.eclipse.emf.ecore.EAttribute FLOW_SHAPE__X

      The meta object literal for the 'X' attribute feature.

    - #### FLOW_SHAPE__Y

          static final org.eclipse.emf.ecore.EAttribute FLOW_SHAPE__Y

      The meta object literal for the 'Y' attribute feature.

    - #### FLOW_SHAPE__WIDTH

          static final org.eclipse.emf.ecore.EAttribute FLOW_SHAPE__WIDTH

      The meta object literal for the 'Width' attribute feature.

    - #### FLOW_SHAPE__HEIGHT

          static final org.eclipse.emf.ecore.EAttribute FLOW_SHAPE__HEIGHT

      The meta object literal for the 'Height' attribute feature.

    - #### FLOW_SHAPE__OUTBOUND_EDGES

          static final org.eclipse.emf.ecore.EReference FLOW_SHAPE__OUTBOUND_EDGES

      The meta object literal for the 'Outbound Edges' reference list feature.

    - #### FLOW_SHAPE__INBOUND_EDGES

          static final org.eclipse.emf.ecore.EReference FLOW_SHAPE__INBOUND_EDGES

      The meta object literal for the 'Inbound Edges' reference list feature.

    - #### ACTIVITY_SHAPE

          static final org.eclipse.emf.ecore.EClass ACTIVITY_SHAPE

      The meta object literal for the '`Activity Shape`' class.
      See Also:
        `ActivityShapeImpl`, `FlowdiagramPackageImpl.getActivityShape()`

    - #### ACTIVITY_SHAPE__ACTIVITY_NODE

          static final org.eclipse.emf.ecore.EReference ACTIVITY_SHAPE__ACTIVITY_NODE

      The meta object literal for the 'Activity Node' reference feature.

    - #### DECISION_SHAPE

          static final org.eclipse.emf.ecore.EClass DECISION_SHAPE

      The meta object literal for the '`Decision Shape`' class.
      See Also:
        `DecisionShapeImpl`, `FlowdiagramPackageImpl.getDecisionShape()`

    - #### DECISION_SHAPE__VALID

          static final org.eclipse.emf.ecore.EAttribute DECISION_SHAPE__VALID

      The meta object literal for the 'Valid' attribute feature.

    - #### DECISION_SHAPE__DECISION_NODE

          static final org.eclipse.emf.ecore.EReference DECISION_SHAPE__DECISION_NODE

      The meta object literal for the 'Decision Node' reference feature.

    - #### TERMINATE_SHAPE

          static final org.eclipse.emf.ecore.EClass TERMINATE_SHAPE

      The meta object literal for the '`Terminate Shape`' class.
      See Also:
        `TerminateShapeImpl`, `FlowdiagramPackageImpl.getTerminateShape()`

    - #### TERMINATE_SHAPE__TERMINATE_NODE

          static final org.eclipse.emf.ecore.EReference TERMINATE_SHAPE__TERMINATE_NODE

      The meta object literal for the 'Terminate Node' reference feature.

    - #### FLOW_EDGE

          static final org.eclipse.emf.ecore.EClass FLOW_EDGE

      The meta object literal for the '`Flow Edge`' class.
      See Also:
        `FlowEdgeImpl`, `FlowdiagramPackageImpl.getFlowEdge()`

    - #### FLOW_EDGE__SOURCE_SHAPE

          static final org.eclipse.emf.ecore.EReference FLOW_EDGE__SOURCE_SHAPE

      The meta object literal for the 'Source Shape' reference feature.

    - #### FLOW_EDGE__TARGET_SHAPE

          static final org.eclipse.emf.ecore.EReference FLOW_EDGE__TARGET_SHAPE

      The meta object literal for the 'Target Shape' reference feature.

    - #### DECISION_EDGE

          static final org.eclipse.emf.ecore.EClass DECISION_EDGE

      The meta object literal for the '`Decision Edge`' class.
      See Also:
        `DecisionEdgeImpl`, `FlowdiagramPackageImpl.getDecisionEdge()`

    - #### DECISION_EDGE__VALID

          static final org.eclipse.emf.ecore.EAttribute DECISION_EDGE__VALID

      The meta object literal for the 'Valid' attribute feature.

    - #### DECISION_EDGE__DECISION

          static final org.eclipse.emf.ecore.EReference DECISION_EDGE__DECISION

      The meta object literal for the 'Decision' reference feature.

    - #### INITIATE_SHAPE

          static final org.eclipse.emf.ecore.EClass INITIATE_SHAPE

      The meta object literal for the '`Initiate Shape`' class.
      See Also:
        `InitiateShapeImpl`, `FlowdiagramPackageImpl.getInitiateShape()`

    - #### LOOPBACK_EDGE

          static final org.eclipse.emf.ecore.EClass LOOPBACK_EDGE

      The meta object literal for the '`Loopback Edge`' class.
      See Also:
        `LoopbackEdgeImpl`, `FlowdiagramPackageImpl.getLoopbackEdge()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.